Skip site navigation (1) Skip section navigation (2)

Re: BUG #5567: will not install

From: Chris Browne <cbbrowne(at)acm(dot)org>
To: pgsql-bugs(at)postgresql(dot)org
Subject: Re: BUG #5567: will not install
Date: 2010-07-22 17:21:02
Message-ID: (view raw or whole thread)
Lists: pgsql-bugs
kanyuh(at)us(dot)ibm(dot)com ("Denise Kanyuh") writes:
> The following bug has been logged online:
> Bug reference:      5567
> Logged by:          Denise Kanyuh
> Email address:      kanyuh(at)us(dot)ibm(dot)com
> PostgreSQL version: 8.0.15
> Operating system:   AIX 7.1
> Description:        will not install
> Details: 
> When trying to test our product which incorporates postgress on the newest
> release of AIX we get this error -- will AIX 7.1 be supported on any release
> of postgres?

A significant portion of the problem likely relates to using a mighty
ancient version of PostgreSQL.  Version 8.0 was effectively obsolesced
by 8.1 in 2005, some five years ago.

That's pretty relevant in two ways you should be concerned about:
 1.  Version 8.0 has been declared officially obsolete
     Issues with 8.0 are exceedingly unlikely to get fixed.

 2.  PostgreSQL Version 8.1 was the first version where AIX became
     sufficiently supported to allow it to be tested on a regular
     basis on the PostgreSQL Build Farm.

     There were material changes to the build process introduced in
     version 8.1 to allow substantially all parts of PostgreSQL
     including contrib modules to compile and run on AIX.

I would not recommend wasting *any* time trying to rectify issues with a
five-year-old version of PostgreSQL; you should test the build process
with a version of PostgreSQL that is still supported.
"Heuristics (from the  French heure, "hour") limit the  amount of time
spent executing something.  [When using heuristics] it shouldn't take
longer than an hour to do something."

In response to


pgsql-bugs by date

Next:From: Denise KanyuhDate: 2010-07-22 17:51:28
Subject: Re: BUG #5567: will not install
Previous:From: Alex HunsakerDate: 2010-07-22 15:24:27
Subject: Re: BUG #5567: will not install

Privacy Policy | About PostgreSQL
Copyright © 1996-2015 The PostgreSQL Global Development Group